
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- Makes the input event device created by the V4L drivers for the
  infrared remote matchable by udev rules.

Signed-off-by: Rudo Thomas <rudo@matfyz.cz>
Signed-off-by: Michael Fair <michael@daclubhouse.net>
Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/cx88/cx88-input.c       |    1 +
 drivers/media/video/ir-kbd-gpio.c           |    1 +
 drivers/media/video/saa7134/saa7134-input.c |    1 +
 3 files changed, 3 insertions(+)

diff -puN drivers/media/video/cx88/cx88-input.c~v4l-makes-the-input-event-device-for-ir-matchable drivers/media/video/cx88/cx88-input.c
--- devel/drivers/media/video/cx88/cx88-input.c~v4l-makes-the-input-event-device-for-ir-matchable	2005-09-06 21:14:40.000000000 -0700
+++ devel-akpm/drivers/media/video/cx88/cx88-input.c	2005-09-06 21:14:40.000000000 -0700
@@ -445,6 +445,7 @@ int cx88_ir_init(struct cx88_core *core,
 		ir->input.id.vendor = pci->vendor;
 		ir->input.id.product = pci->device;
 	}
+	ir->input.dev = &pci->dev;
 
 	/* record handles to ourself */
 	ir->core = core;
diff -puN drivers/media/video/ir-kbd-gpio.c~v4l-makes-the-input-event-device-for-ir-matchable drivers/media/video/ir-kbd-gpio.c
--- devel/drivers/media/video/ir-kbd-gpio.c~v4l-makes-the-input-event-device-for-ir-matchable	2005-09-06 21:14:40.000000000 -0700
+++ devel-akpm/drivers/media/video/ir-kbd-gpio.c	2005-09-06 21:14:40.000000000 -0700
@@ -353,6 +353,7 @@ static int ir_probe(struct device *dev)
 		ir->input.id.vendor  = sub->core->pci->vendor;
 		ir->input.id.product = sub->core->pci->device;
 	}
+	ir->input.dev = &sub->core->pci->dev;
 
 	if (ir->polling) {
 		INIT_WORK(&ir->work, ir_work, ir);
diff -puN drivers/media/video/saa7134/saa7134-input.c~v4l-makes-the-input-event-device-for-ir-matchable drivers/media/video/saa7134/saa7134-input.c
--- devel/drivers/media/video/saa7134/saa7134-input.c~v4l-makes-the-input-event-device-for-ir-matchable	2005-09-06 21:14:40.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134-input.c	2005-09-06 21:14:40.000000000 -0700
@@ -564,6 +564,7 @@ int saa7134_input_init1(struct saa7134_d
 		ir->dev.id.vendor  = dev->pci->vendor;
 		ir->dev.id.product = dev->pci->device;
 	}
+	ir->dev.dev = &dev->pci->dev;
 
 	/* all done */
 	dev->remote = ir;
_
